Summary:      MPEG audio player.
Summary(ja):  MPEG audio ¥×¥ì¡¼¥ä
Name:         mpg123
Version:      0.59r
Release:      2vl3
Group:        Applications/Multimedia
URL:          http://www.mpg123.de/
Source:       http://www-ti.informatik.uni-tuebingen.de/~hippm/mpg123-0.59r-pl1.tar.gz
Source1:      mp3license
Patch0:       mpg123.patch
Patch1:       mpg123-0.59r-8bit.patch
Patch2:       mpg123-0.59r-jconv-2.patch
Requires:     libjconv
BuildPreReq:  libjconv
Copyright:    distributable
Buildroot:    %{_tmppath}/%{name}-%{version}-root

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>


%description
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a Pentium CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on 486 CPUs.

For information on the MP3 License, please visit:
http://www.mpeg.org/


%prep
%setup -q 
%patch0 -p1 -b .mike
%patch1 -p1 -b .8bit
%patch2 -p1 -b .jconv


%build
make linux-${RPM_ARCH}-esd


%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

make PREFIX=${RPM_BUILD_ROOT}/usr \
     BINDIR=${RPM_BUILD_ROOT}%{_bindir} \
     MANDIR=${RPM_BUILD_ROOT}%{_mandir} \
     install


%clean
rm -r ${RPM_BUILD_ROOT}


%files 
%defattr(-,root,root)
%doc BUGS CHANGES COPYING INSTALL JUKEBOX README  TODO
%doc $RPM_SOURCE_DIR/mp3license
%{_bindir}/mpg123
%{_mandir}/man1/mpg123.1*


%changelog
* Mon Jun 11 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.59r-2vl3
- use better macros

* Wed Oct 11 2000 Yoichi Imai <yoichi@silver-forest.com>
- add setlocale(LC_CTYPE, "");
- for brp-*

* Sun Jul 23 2000 Yoichi Imai <yoichi@silver-forest.com>
- japanese convertion (convert_kanji_auto)

* Wed Jun 07 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.59r-2vl1
- based on 0.59r-2 of LinuxPPC-Dev-Rel-1.1
- build for Vine Linux

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- 0.59r-pl1
- fix URL in spec.

* Mon Jun 21 1999 Bill Nottingham <notting@redhat.com>
- update to 0.59r

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- removed debug output from audio_esd.c.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Mar 17 1999 Michael Fulbright <drmike@redhat.com>
- hacked to work with esd for 8 bit fallback

* Sat Mar  6 1999 Matt Wilson <msw@redhat.com>
- rebuilt against new libaudio and esd

* Mon Mar  1 1999 Matt Wilson <msw@redhat.com>
- rebuilt against new libaudio and esd

* Fri Feb 26 1999 Michael Maher <mike@redhat.com>
- update package

* Tue Jan 12 1999 Michael Maher <mike@redhat.com>
- allowed to ship ... finally.

* Wed Jan 21 1998 Otto Hammersmith <otto@redhat.com>
- more cleanup

